User Tag List

Results 1 to 4 of 4

Thread: Build fails no error message - Old Device

  1. #1
    Clicker

    Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    DaveC's Avatar
    Join Date
    Jun 2007
    Location
    Perth, Australia
    Posts
    2,136
    Mentioned
    16 Post(s)
    Tagged
    0 Thread(s)

    Build fails no error message - Old Device

    Hey CT,

    So I have a newish phone (Samsung Galaxy S4) which works perfectly, I can build and run to it with no problems.

    I have also an old device (Galaxy GIO) which used to work.. but doesn't any more.. I've just noticed as I'm typing this post that the minimum target is Android 2.3 .. has this always been the case or has something changed? because I was building to this phone and it was working a few weeks ago. (this phone is Android 2.2.1)

    When I build and run, Fusion loads for a while... then nothing happens and eventually the build finishes with no errors and it installs nothing on the phone.. If I try to manually install an .apk it says "failed to parse the package"

    UPDATE: I rooted the old device and updated the OS to 2.3.1 and the build and run/apks work again for this device. So.. I guess nothing to see here.. though I'm still curious when the minimum target device was increased? cheers!

  2. #2
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    7,300
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    Because from August Google request to update Ad Mob to Goggle Plays Service which work from 2.3.1 to above, this is the reason why the change was done.
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  3. #3
    Clicker

    Fusion 2.5 DeveloperAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleUniversal Windows Platform Export ModuleSWF Export Module
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    DaveC's Avatar
    Join Date
    Jun 2007
    Location
    Perth, Australia
    Posts
    2,136
    Mentioned
    16 Post(s)
    Tagged
    0 Thread(s)
    Thanks for the info! that phone + 2.2 OS is ancient so I didn't expect it to be supported. Great work as always mate!

  4. #4
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    7,300
    Mentioned
    298 Post(s)
    Tagged
    4 Thread(s)
    Thanks, my pleasure!

    here is the last android collection data, froyo is only 0.7% https://developer.android.com/about/...e=ausdroid.net
    Regards,


    Fernando Vivolo

    ... new things are coming ...

Similar Threads

  1. android build and run freezes Fusion 2.5 (no error message)
    By brett in forum Android Export Module 2.5
    Replies: 4
    Last Post: 15th March 2014, 07:45 PM
  2. [Build Error Message] RC1
    By ProdigyX in forum Android Export Module Version 2.0
    Replies: 0
    Last Post: 10th October 2012, 07:16 PM
  3. [BUG] Fails to build if...
    By happygreenfrog in forum Android Export Module Version 2.0
    Replies: 4
    Last Post: 9th February 2012, 10:18 PM
  4. Error message on build
    By Drcooper in forum Multimedia Fusion 2 - Technical Support
    Replies: 14
    Last Post: 4th January 2011, 10:39 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •